Diff for /embedaddon/pcre/PrepareRelease between versions 1.1.1.3 and 1.1.1.4

version 1.1.1.3, 2012/10/09 09:19:17 version 1.1.1.4, 2013/07/22 08:25:56
Line 25 Line 25
 #             when the HTML documentation is built. It works like this so that  #             when the HTML documentation is built. It works like this so that
 #             doc/html can be deleted and re-created from scratch.  #             doc/html can be deleted and re-created from scratch.
   
   # README & NON-AUTOTOOLS-BUILD
   #             These files are copied into the doc/html directory, with .txt
   #             extensions so that they can by hyperlinked from the HTML 
   #             documentation, because some people just go to the HTML without
   #             looking for text files.
   
   
 # First, sort out the documentation. Remove pcredemo.3 first because it won't  # First, sort out the documentation. Remove pcredemo.3 first because it won't
 # pass the markup check (it is created below, using markup that none of the  # pass the markup check (it is created below, using markup that none of the
 # other pages use).  # other pages use).
Line 58  pcretest commands. Line 64  pcretest commands.
 End  End
   
 echo "Making pcre.txt"  echo "Making pcre.txt"
for file in pcre pcre16 pcrebuild pcrematching pcreapi pcrecallout pcrecompat \for file in pcre pcre16 pcre32 pcrebuild pcrematching pcreapi pcrecallout \
            pcrepattern pcresyntax pcreunicode pcrejit pcrepartial \            pcrecompat pcrepattern pcresyntax pcreunicode pcrejit pcrepartial \
             pcreprecompile pcreperform pcreposix pcrecpp pcresample \              pcreprecompile pcreperform pcreposix pcrecpp pcresample \
             pcrelimits pcrestack ; do              pcrelimits pcrestack ; do
   echo "  Processing $file.3"    echo "  Processing $file.3"
Line 122  if [ $? != 0 ] ; then exit 1; fi Line 128  if [ $? != 0 ] ; then exit 1; fi
 echo "Making HTML documentation"  echo "Making HTML documentation"
 /bin/rm html/*  /bin/rm html/*
 cp index.html.src html/index.html  cp index.html.src html/index.html
   cp ../README html/README.txt
   cp ../NON-AUTOTOOLS-BUILD html/NON-AUTOTOOLS-BUILD.txt
   
 for file in *.1 ; do  for file in *.1 ; do
   base=`basename $file .1`    base=`basename $file .1`
Line 160  if [ "$1" = "doc" ] ; then exit; fi Line 168  if [ "$1" = "doc" ] ; then exit; fi
 # significant trailing spaces. Do not detrail RunTest.bat, because it has CRLF  # significant trailing spaces. Do not detrail RunTest.bat, because it has CRLF
 # line endings and the detrail script removes all trailing white space. The  # line endings and the detrail script removes all trailing white space. The
 # configure files are also omitted from the detrailing. We don't bother with  # configure files are also omitted from the detrailing. We don't bother with
# those pcre16_xx files that just define COMPILE_PCRE16 and then #include the# those pcre[16|32]_xx files that just define COMPILE_PCRE16 and then #include the
 # common file, because they aren't going to change.  # common file, because they aren't going to change.
   
 files="\  files="\
Line 185  files="\ Line 193  files="\
   pcre-config.in \    pcre-config.in \
   libpcre.pc.in \    libpcre.pc.in \
   libpcre16.pc.in \    libpcre16.pc.in \
     libpcre32.pc.in \
   libpcreposix.pc.in \    libpcreposix.pc.in \
   libpcrecpp.pc.in \    libpcrecpp.pc.in \
   config.h.in \    config.h.in \
Line 196  files="\ Line 205  files="\
   pcreposix.c \    pcreposix.c \
   pcreposix.h \    pcreposix.h \
   pcre.h.in \    pcre.h.in \
  pcre_internal.h  pcre_internal.h \
   pcre_byte_order.c \    pcre_byte_order.c \
   pcre_compile.c \    pcre_compile.c \
   pcre_config.c \    pcre_config.c \
Line 211  files="\ Line 220  files="\
   pcre_newline.c \    pcre_newline.c \
   pcre_ord2utf8.c \    pcre_ord2utf8.c \
   pcre16_ord2utf16.c \    pcre16_ord2utf16.c \
     pcre32_ord2utf32.c \
   pcre_printint.c \    pcre_printint.c \
   pcre_refcount.c \    pcre_refcount.c \
   pcre_string_utils.c \    pcre_string_utils.c \
   pcre_study.c \    pcre_study.c \
   pcre_tables.c \    pcre_tables.c \
   pcre_ucp_searchfuncs.c \  
   pcre_valid_utf8.c \    pcre_valid_utf8.c \
   pcre_version.c \    pcre_version.c \
   pcre_xclass.c \    pcre_xclass.c \
   pcre16_utf16_utils.c \    pcre16_utf16_utils.c \
     pcre32_utf32_utils.c \
   pcre16_valid_utf16.c \    pcre16_valid_utf16.c \
     pcre32_valid_utf32.c \
   pcre_scanner.cc \    pcre_scanner.cc \
   pcre_scanner.h \    pcre_scanner.h \
   pcre_scanner_unittest.cc \    pcre_scanner_unittest.cc \
Line 234  files="\ Line 245  files="\
   pcre_stringpiece_unittest.cc \    pcre_stringpiece_unittest.cc \
   perltest.pl \    perltest.pl \
   ucp.h \    ucp.h \
   ucpinternal.h \  
   ucptable.h \  
   makevp.bat \    makevp.bat \
   pcre.def \    pcre.def \
   libpcre.def \    libpcre.def \
Line 243  files="\ Line 252  files="\
   
 echo Detrailing  echo Detrailing
 perl ./Detrail $files doc/p* doc/html/*  perl ./Detrail $files doc/p* doc/html/*
   
 echo Doing basic configure to get default pcre.h and config.h  
 # This is in case the caller has set aliases (as I do - PH)  
 unset cp ls mv rm  
 ./configure >/dev/null  
   
 echo Converting pcre.h and config.h to generic forms  
 cp -f pcre.h pcre.h.generic  
   
 perl <<'END'  
   open(IN, "<config.h") || die "Can't open config.h: $!\n";  
   open(OUT, ">config.h.generic") || die "Can't open config.h.generic: $!\n";  
   while (<IN>)  
     {  
     if (/^#define\s(?!PACKAGE)(\w+)/)  
       {  
       print OUT "#ifndef $1\n";  
       print OUT;  
       print OUT "#endif\n";  
       }  
     else  
       {  
       print OUT;  
       }  
     }  
   close IN;  
   close OUT;  
 END  
   
 echo Done  echo Done
   

Removed from v.1.1.1.3  
changed lines
  Added in v.1.1.1.4


FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>